package model;

import javax.swing.table.AbstractTableModel;


/**
 * @author Teodor Danciu (teodord@users.sourceforge.net)
 * @version $Id: CustomTableModel.java 2692 2009-03-24 17:17:32Z teodord $
 */
public class CafeTableModel extends AbstractTableModel
{


	/**
	 *
	 */
	private String[] columnNames = {"name", "id", "price", "image"};

	/**
	 *
	 */
	private Object[][] data =
		{
			{"typica", new Integer(0), "5.12", "http://localhost:8080/CafeService/images/typica.png"},
			{"sumatra", new Integer(1), "4.25", "http://localhost:8080/CafeService/images/sumatra.png"},
			{"moca", new Integer(2), "4.25", "http://localhost:8080/CafeService/images/moca.png"},
			{"kilimanjaro", new Integer(3), "5.65", "http://localhost:8080/CafeService/images/kilimanjaro.png"},
			{"blue_mountain", new Integer(4), "5.65", "http://localhost:8080/CafeService/images/blue_mountain.png"},
			{"kona", new Integer(5), "4.55", "http://localhost:8080/CafeService/images/kona.png"},
			{"java", new Integer(6), "10.55", "http://localhost:8080/CafeService/images/java.png"},
			{"columbia", new Integer(7), "4.55", "http://localhost:8080/CafeService/images/columbia.png"},
			{"kenya", new Integer(8), "5.12", "http://localhost:8080/CafeService/images/kenya.png"},
			{"geisya", new Integer(9), "6.65", "http://localhost:8080/CafeService/images/geisya.png"},
			{"blend", new Integer(10), "5.25", "http://localhost:8080/CafeService/images/blend.png"},
		};


	/**
	 *
	 */
	public CafeTableModel()
	{
	}


	/**
	 *
	 */
	public int getColumnCount()
	{
		return this.columnNames.length;
	}


	/**
	 *
	 */
	public String getColumnName(int columnIndex)
	{
		return this.columnNames[columnIndex];
	}

	/**
	 *
	 */
	public String[] getColumnNames()
	{
		return this.columnNames;
	}


	/**
	 *
	 */
	public int getRowCount()
	{
		return this.data.length;
	}


	/**
	 *
	 */
	public Object getValueAt(int rowIndex, int columnIndex)
	{
		return this.data[rowIndex][columnIndex];
	}

        public CafeItem getCafeItem(int rowIndex){
            CafeItem item = new CafeItem();
            item.setId((Integer)this.data[rowIndex][1]);
            item.setName((String)this.data[rowIndex][0]);
            item.setPrice((String)this.data[rowIndex][2]);
            Object image = this.data[rowIndex][3];
            item.setImage((String)image);
//            item.setImage((String)this.data[rowIndex][3]);
           return item;
        }


}
